Package biotransformer.biomolecule

## Class Enzyme

- java.lang.Object
- - biotransformer.biomolecule.Enzyme

    public class Enzyme
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`static class` `Enzyme.EnzymeName`

### Constructor Summary

Constructors
`Enzyme​(Enzyme.EnzymeName enzName)`
`Enzyme​(java.lang.String enzName, java.lang.String description, java.lang.String uniprot_id, java.util.ArrayList<java.lang.String> cellularLocations, java.util.ArrayList<MetabolicReaction> reactions)`
`Enzyme​(java.lang.String enzName, java.lang.String description, java.util.ArrayList<java.lang.String> uniprot_ids, java.util.ArrayList<java.lang.String> cellularLocations, java.util.ArrayList<MetabolicReaction> reactions)`
`Enzyme​(java.lang.String enzName, java.lang.String description, java.util.ArrayList<java.lang.String> uniprot_ids, java.util.ArrayList<java.lang.String> cellularLocations, java.util.ArrayList<MetabolicReaction> reactions, java.lang.String systematicName)`
`Enzyme​(java.lang.String enzName, java.util.ArrayList<MetabolicReaction> reactionSet)`
`Enzyme​(java.lang.String enzName, java.util.ArrayList<MetabolicReaction> reactionSet, ambit2.smarts.SMIRKSManager smrkMan)`
`Enzyme​(java.lang.String enzName, java.util.ArrayList<MetabolicReaction> reactionSet, java.util.ArrayList<java.lang.String> cellLocations)`
`Enzyme​(java.lang.String enzName, java.util.ArrayList<java.lang.String> uniprot_ids, java.util.ArrayList<java.lang.String> cellularLocations, java.util.ArrayList<MetabolicReaction> reactions)`
`Enzyme​(java.lang.String enzName, java.util.ArrayList<java.lang.String> uniprot_ids, java.util.ArrayList<java.lang.String> cellularLocations, java.util.ArrayList<MetabolicReaction> reactions, java.lang.String acceptedcName)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addReaction​(MetabolicReaction reaction)`
`void` `display()`
`java.lang.String` `getName()`
`java.lang.String` `getPrimaryUniprotId()`
`java.util.ArrayList<MetabolicReaction>` `getReactionSet()`
`java.util.ArrayList<java.lang.String>` `getReactionsNames()`
`java.util.ArrayList<java.lang.String>` `getUniprotIds()`
`void` `setprimaryUniprotId​(java.lang.String uniprotID)`
`void` `setUniprotIds​(java.util.ArrayList<java.lang.String> uniprotIds)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Enzyme

    public Enzyme​(Enzyme.EnzymeName enzName)

#### Enzyme

    public Enzyme​(java.lang.String enzName,
                  java.util.ArrayList<java.lang.String> uniprot_ids,
                  java.util.ArrayList<java.lang.String> cellularLocations,
                  java.util.ArrayList<MetabolicReaction> reactions)

#### Enzyme

    public Enzyme​(java.lang.String enzName,
                  java.util.ArrayList<java.lang.String> uniprot_ids,
                  java.util.ArrayList<java.lang.String> cellularLocations,
                  java.util.ArrayList<MetabolicReaction> reactions,
                  java.lang.String acceptedcName)

#### Enzyme

    public Enzyme​(java.lang.String enzName,
                  java.lang.String description,
                  java.util.ArrayList<java.lang.String> uniprot_ids,
                  java.util.ArrayList<java.lang.String> cellularLocations,
                  java.util.ArrayList<MetabolicReaction> reactions)

#### Enzyme

    public Enzyme​(java.lang.String enzName,
                  java.lang.String description,
                  java.util.ArrayList<java.lang.String> uniprot_ids,
                  java.util.ArrayList<java.lang.String> cellularLocations,
                  java.util.ArrayList<MetabolicReaction> reactions,
                  java.lang.String systematicName)

#### Enzyme

    public Enzyme​(java.lang.String enzName,
                  java.lang.String description,
                  java.lang.String uniprot_id,
                  java.util.ArrayList<java.lang.String> cellularLocations,
                  java.util.ArrayList<MetabolicReaction> reactions)

#### Enzyme

    public Enzyme​(java.lang.String enzName,
                  java.util.ArrayList<MetabolicReaction> reactionSet,
                  java.util.ArrayList<java.lang.String> cellLocations)

#### Enzyme

    public Enzyme​(java.lang.String enzName,
                  java.util.ArrayList<MetabolicReaction> reactionSet,
                  ambit2.smarts.SMIRKSManager smrkMan)

#### Enzyme

    public Enzyme​(java.lang.String enzName,
                  java.util.ArrayList<MetabolicReaction> reactionSet)

### Method Detail

#### addReaction

    public void addReaction​(MetabolicReaction reaction)

#### getName

    public java.lang.String getName()

#### getPrimaryUniprotId

    public java.lang.String getPrimaryUniprotId()

#### getUniprotIds

    public java.util.ArrayList<java.lang.String> getUniprotIds()

#### getReactionSet

    public java.util.ArrayList<MetabolicReaction> getReactionSet()

#### setprimaryUniprotId

    public void setprimaryUniprotId​(java.lang.String uniprotID)

#### setUniprotIds

    public void setUniprotIds​(java.util.ArrayList<java.lang.String> uniprotIds)

#### getReactionsNames

    public java.util.ArrayList<java.lang.String> getReactionsNames()

#### display

    public void display()